Arbor 3: FSM & BT Graph Editor 3.7.1

Public Member Functions | Static Public Member Functions | List of all members
FlexibleColor Class Reference

Class to handle a flexible Color type reference method there is more than one. More...

Inheritance diagram for FlexibleColor:

## Public Member Functions
| FlexibleColor ()
| FlexibleColor default constructor More...
| FlexibleColor (Color value)
| FlexibleColor constructor More...
| FlexibleColor (ColorParameterReference parameter)
| FlexibleColor constructor More...
| FlexibleColor (InputSlotColor slot)
| FlexibleColor constructor More...
Public Member Functions inherited from FlexibleField< Color >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator Color (FlexibleColor flexible)
| Cast FlexibleColor to Color. More...
static | operator FlexibleColor (Color value)
| Cast Color to FlexibleColor. More...
Static Public Member Functions inherited from FlexibleField< Color >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< Color >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< Color >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible Color type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleColor() [1/4]

FlexibleColor | ( |  | ) |

FlexibleColor default constructor

## ◆ FlexibleColor() [2/4]

FlexibleColor | ( | Color | value | ) |

FlexibleColor constructor

Parameters

  value | Value

## ◆ FlexibleColor() [3/4]

FlexibleColor | ( | ColorParameterReference | parameter | ) |

FlexibleColor constructor

Parameters

  parameter | Parameter

## ◆ FlexibleColor() [4/4]

FlexibleColor | ( | InputSlotColor | slot | ) |

FlexibleColor constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ operator Color()

static operator Color | ( | FlexibleColor | flexible | ) |
| explicit static

Cast FlexibleColor to Color.

Parameters

  flexible | FlexibleColor

## ◆ operator FlexibleColor()

static operator FlexibleColor | ( | Color | value | ) |
| explicit static

Cast Color to FlexibleColor.

Parameters

  value | Color